Intereting Posts
Как получить правильную ширину окна при изменении ориентации для устройств Android как на планшетах, так и на мобильных телефонах Неправильное поведение параметров RTL с помощью android 4.2.2 Какова цель категорий намерений? Как получить цвет из шестнадцатеричной строки цвета Обновление только нескольких экземпляров виджета Последнее виджет Есть ли способ узнать, расширяется ли уведомление или рушится в андроиде Как обновить ProGuard для Android? Google Playstore: замените приложение при использовании другого сертификата? Фильтрация Android NDK и Google Play Заголовок с центром в Actionbar с кнопками Выберите тип клавиатуры ввода для QLineEdit Eclipse: переопределить путь библиотеки, определенный в project.properties Android MediaRecorder setCaptureRate () и скорость воспроизведения видео Как получить программный список поддерживаемых языков в проекте Android (НЕ) Поиск изображений Google по изображению в android

Не удалось найти класс rx.android.schedulers.AndroidSchedulers

Я использую как rxjava / rxandroid, так и jackson-databind в своем приложении, но кажется, что обе библиотеки не могут работать вместе. Когда я пытаюсь запустить мое приложение, он возвращает следующую ошибку:

java.lang.ClassNotFoundException: rx.android.schedulers.AndroidSchedulers 

Вот мой файл градиента:

 apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.2" defaultConfig { applicationId "myapp" minSdkVersion Integer.parseInt(project.ANDROID_MIN_SDK_VERSION) targetSdkVersion 23 versionCode 1 versionName "1.0" multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } compileOptions { sourceCompatibility JavaVersion.VERSION_1_7 targetCompatibility JavaVersion.VERSION_1_7 } packagingOptions { exclude 'META-INF/LICENSE' exclude 'META-INF/LICENSE.txt' exclude 'META-INF/NOTICE' } lintOptions { abortOnError false } } repositories { mavenCentral() flatDir { dirs 'libs' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.pspdfkit:pspdfkit:2.0.1@aar' compile 'com.android.support:appcompat-v7:23.1.1' compile 'com.android.support:recyclerview-v7:23.1.1' compile 'com.android.support:cardview-v7:23.1.1' compile 'com.google.guava:guava:19.0' compile 'org.lucasr.twowayview:twowayview:0.1.4' compile 'com.joanzapata.pdfview:android-pdfview:1.0.2@aar' compile 'net.lingala.zip4j:zip4j:1.3.2' compile 'com.github.chrisbanes.photoview:library:1.2.4' compile 'com.makeramen:roundedimageview:2.2.1' compile 'com.github.bumptech.glide:glide:3.6.1' compile 'ch.acra:acra:4.7.0' compile 'io.reactivex:rxjava:1.1.0' compile 'io.reactivex:rxandroid:1.1.0' compile ('com.koushikdutta.ion:ion:2.+') { exclude (group: 'com.google.code.gson') } compile (project (':common')) 

}

Внутри общего проекта есть зависимость Джексона, которая заставляет приложение вызывать эту ошибку:

 compile 'com.fasterxml.jackson.core:jackson-databind:2.7.0-rc2' 

У кого-то была эта проблема? Есть ли простое решение?

Проблема связана с использованием RxAndroid и поддержки multidex. Решение, которое сработало для меня, это добавить android:name="android.support.multidex.MultiDexApplication" на уровне приложения в манифесте.

Если у вас есть что-то вроде android:name=".MyApp" , то переопределите метод attachBaseContext ()

 @Override protected void attachBaseContext(Context base) { super.attachBaseContext(base); MultiDex.install(this); } 

Все эти предложения исходят из

http://developer.android.com/tools/building/multidex.html